gstreamermm: Gst::MessageLatency Class Reference

gstreamermm 1.0.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Gst::MessageLatency Class Reference

A latency message. More...

Inheritance diagram for Gst::MessageLatency:
[legend]
Collaboration diagram for Gst::MessageLatency:
[legend]

## Static Public Member Functions
static Glib::RefPtr < Gst::MessageLatency > | create (const Glib::RefPtr< Gst::Object >& src)
| Creates a new latency message. More...

## Additional Inherited Members
Public Member Functions inherited from Gst::Message
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMessage* | gobj ()
| Provides access to the underlying C instance. More...
const GstMessage* | gobj () const
| Provides access to the underlying C instance. More...
GstMessage* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Gst::Structure | get_structure () const
| Access the structure of the message. More...
Glib::RefPtr< Gst::Message > | create_writable ()
| Checks if a message is writable. More...
guint32 | get_seqnum () const
| Retrieve the sequence number of a message. More...
void | set_seqnum (guint32 seqnum)
| Set the sequence number of a message. More...
MessageType | get_message_type () const
| Get the GstMessageType of message. More...
ClockTime | get_timestamp () const
| Get the timestamp of message. More...
Glib::RefPtr< Gst::Object > | get_source ()
| Get the object that posted the message. More...
Glib::RefPtr< const Gst::Object > | get_source () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
Protected Member Functions inherited from Gst::Message
| Message ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Message
template<class MsgType >
static Glib::RefPtr< MsgType > | wrap (GstMessage* message, bool take_copy=false)
Related Functions inherited from Gst::Message
Glib::RefPtr< Gst::Message > | wrap (GstMessage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A latency message.

See create() for more details.

## Member Function Documentation

static Glib::RefPtr<Gst::MessageLatency> Gst::MessageLatency::create | ( | const Glib::RefPtr< Gst::Object >& | src | ) |
| static

Creates a new latency message.

This message can be posted by elements when their latency requirements have changed.

Parameters

  src | The object originating the message.

Returns
  The new latency message. MT safe.

Since 0.10.12.

The documentation for this class was generated from the following file:

- gstreamermm/message.h